> ## Documentation Index
> Fetch the complete documentation index at: https://koreai-content-gov.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Questions from Extract - KG

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To add specific questions to the Knowledge Graph.

| Field | Value |
| - | - |
| **Method** | POST |
| **Endpoint** | `https://{{host}}/api/public/bot/{{botId}}/faqs/bulk?language=en` |
| **Content Type** | `application/json` |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope** | App Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph |

## Path Parameters

| Parameter | Description | Mandate |
| - | - | - |
| **host** | The environment URL. For example, `https://platform.kore.ai` | Required |
| **BotId** | *Bot ID* or *Stream ID* can be accessed under **General Settings** page. | Required |

## Query Parameters

| Parameter | Description | Mandate |
| - | - | - |
| **language** | The agent language identified by the language acronym. For example, *en* for English and *de* for German. | Required |

## Sample Request

```json expandable=true theme={null}
curl --location 'https://platform.kore.ai/api/public/bot/botID/faqs/bulk?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data-raw '{
"faqs": [
{
"questionPayload": {
    "question": "question", //question - GET EXTRACTION QUESTION
    "tagsPayload": []
},
"answerPayload": [{
    "text": "", //answer - GET EXTRACTION QUESTION
    "type": "basic",
    "channel": "default"
}],
"knowledgeTaskId": "645e0aab1ee65252a43xxxxx", // "_id" - GET KNOWLEDGE TASKS
"subQuestions": [],
"responseType": "message",
"subAnswers": [],
"streamId": "botId",
"parent": "f1324935-341d-5b0e-8551-c705a2exxxxx", //"parent" - GET KNOWLEDGE TASKS
"leafterm": "Botname",
"qsId": "qna-f6014fd0-f8e8-5cb1-b952-cf9e570xxxxx" // "_id" -  GET EXTRACTION QUESTION
   }
  ]
}'
```

## Body Parameters

| Parameter | Description | Mandate |
| - | - | - |
| **faqs** | An array with the following parameter values: `questionPayload` (question), `answerPayload` (text, type, channel), `knowledgeTaskId`, `subQuestions`, `responseType`, `subAnswers`, `streamId`, `parent`, `leafterm`, `qsId` | Required |

## Sample Response

```json theme={null}
{
      "status": "success"
}
```

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.